> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/data-storage/access-data-from-applications/set-up-odbc-drivers.md).

# ODBC drivers

Installing ODBC drivers on your computer is only necessary if you want to connect to Nuvolos from applications that are not hosted in Nuvolos. **If you use the Nuvolos web interface at** [**nuvolos.cloud**](https://nuvolos.cloud)**, you do not need to complete these steps.**

### Windows setup

Nuvolos uses Snowflake as a database provider, consequently, you have to install the ODBC driver for Snowflake to be able to connect to Nuvolos from your non-Nuvolos Windows-based applications.

To install the Snowflake Windows ODBC driver, please follow [these](https://docs.snowflake.net/manuals/user-guide/odbc-windows.html) steps.

### Linux setup

Nuvolos uses Snowflake as a database provider, consequently, you have to install the ODBC driver for Snowflake to be able to connect to Nuvolos from your non-Nuvolos Linux-based applications.

To install the Snowflake Linux ODBC driver, please follow [these](https://docs.snowflake.net/manuals/user-guide/odbc-linux.html) steps.

### Mac setup

Nuvolos uses Snowflake as a database provider, consequently, you have to install the ODBC driver for Snowflake to be able to connect to Nuvolos from your non-Nuvolos MacOS-based applications.

To install the Snowflake MacOS ODBC driver, please follow [these](https://docs.snowflake.net/manuals/user-guide/odbc-mac.html) steps.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/data-storage/access-data-from-applications/set-up-odbc-drivers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
